Gentoo Archives: gentoo-commits

From: "Robin H. Johnson (robbat2)" <robbat2@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in dev-vcs/git: git-1.7.12-r2.ebuild ChangeLog
Date: Thu, 23 Aug 2012 05:38:34
Message-Id: 20120823053818.662EF2040D@flycatcher.gentoo.org
1 robbat2 12/08/23 05:38:18
2
3 Modified: ChangeLog
4 Added: git-1.7.12-r2.ebuild
5 Log:
6 Bug #373335: missing --base-path in conf.d/git. Bug #414437: OpenSSL is required for more parts of Git now. Bug #423605: OSX keychain helper. Bug #432328: Upstream has split the bash completion in two parts: git & git-prompt; the latter defines __git_ps1 for your nice prompt.
7
8 (Portage version: 2.2.0_alpha121/cvs/Linux x86_64, RepoMan options: --force)
9
10 Revision Changes Path
11 1.151 dev-vcs/git/ChangeLog
12
13 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-vcs/git/ChangeLog?rev=1.151&view=markup
14 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-vcs/git/ChangeLog?rev=1.151&content-type=text/plain
15 diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-vcs/git/ChangeLog?r1=1.150&r2=1.151
16
17 Index: ChangeLog
18 ===================================================================
19 RCS file: /var/cvsroot/gentoo-x86/dev-vcs/git/ChangeLog,v
20 retrieving revision 1.150
21 retrieving revision 1.151
22 diff -p -w -b -B -u -u -r1.150 -r1.151
23 --- ChangeLog 22 Aug 2012 05:14:49 -0000 1.150
24 +++ ChangeLog 23 Aug 2012 05:38:18 -0000 1.151
25 @@ -1,6 +1,15 @@
26 # ChangeLog for dev-vcs/git
27 # Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
28 -# $Header: /var/cvsroot/gentoo-x86/dev-vcs/git/ChangeLog,v 1.150 2012/08/22 05:14:49 zmedico Exp $
29 +# $Header: /var/cvsroot/gentoo-x86/dev-vcs/git/ChangeLog,v 1.151 2012/08/23 05:38:18 robbat2 Exp $
30 +
31 +*git-1.7.12-r2 (23 Aug 2012)
32 +
33 + 23 Aug 2012; Robin H. Johnson <robbat2@g.o> +git-1.7.12-r2.ebuild,
34 + files/git-daemon.confd:
35 + Bug #373335: missing --base-path in conf.d/git. Bug #414437: OpenSSL is
36 + required for more parts of Git now. Bug #423605: OSX keychain helper. Bug
37 + #432328: Upstream has split the bash completion in two parts: git & git-
38 + prompt; the latter defines __git_ps1 for your nice prompt.
39
40 22 Aug 2012; Zac Medico <zmedico@g.o> git-1.7.12-r1.ebuild:
41 Quick fix for USE=-perl.
42
43
44
45 1.1 dev-vcs/git/git-1.7.12-r2.ebuild
46
47 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-vcs/git/git-1.7.12-r2.ebuild?rev=1.1&view=markup
48 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-vcs/git/git-1.7.12-r2.ebuild?rev=1.1&content-type=text/plain
49
50 Index: git-1.7.12-r2.ebuild
51 ===================================================================
52 # Copyright 1999-2012 Gentoo Foundation
53 # Distributed under the terms of the GNU General Public License v2
54 # $Header: /var/cvsroot/gentoo-x86/dev-vcs/git/git-1.7.12-r2.ebuild,v 1.1 2012/08/23 05:38:18 robbat2 Exp $
55
56 EAPI=4
57
58 GENTOO_DEPEND_ON_PERL=no
59
60 # bug #329479: git-remote-testgit is not multiple-version aware
61 PYTHON_DEPEND="python? 2"
62 [[ ${PV} == *9999 ]] && SCM="git-2"
63 EGIT_REPO_URI="git://git.kernel.org/pub/scm/git/git.git"
64
65 inherit toolchain-funcs eutils elisp-common perl-module bash-completion-r1 python ${SCM}
66
67 MY_PV="${PV/_rc/.rc}"
68 MY_P="${PN}-${MY_PV}"
69
70 DOC_VER=${MY_PV}
71
72 DESCRIPTION="GIT - the stupid content tracker, the revision control system heavily used by the Linux kernel team"
73 HOMEPAGE="http://www.git-scm.com/"
74 if [[ ${PV} != *9999 ]]; then
75 SRC_URI_SUFFIX="gz"
76 SRC_URI_GOOG="http://git-core.googlecode.com/files"
77 SRC_URI_KORG="mirror://kernel/software/scm/git"
78 SRC_URI="${SRC_URI_GOOG}/${MY_P}.tar.${SRC_URI_SUFFIX}
79 ${SRC_URI_KORG}/${MY_P}.tar.${SRC_URI_SUFFIX}
80 ${SRC_URI_GOOG}/${PN}-manpages-${DOC_VER}.tar.${SRC_URI_SUFFIX}
81 ${SRC_URI_KORG}/${PN}-manpages-${DOC_VER}.tar.${SRC_URI_SUFFIX}
82 doc? (
83 ${SRC_URI_KORG}/${PN}-htmldocs-${DOC_VER}.tar.${SRC_URI_SUFFIX}
84 ${SRC_URI_GOOG}/${PN}-htmldocs-${DOC_VER}.tar.${SRC_URI_SUFFIX}
85 )"
86 KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~ia64-hpux ~x86-interix ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
87 else
88 SRC_URI=""
89 KEYWORDS=""
90 fi
91
92 LICENSE="GPL-2"
93 SLOT="0"
94 IUSE="+blksha1 +curl cgi doc emacs +gpg gtk +iconv +nls +pcre +perl +python ppcsha1 tk +threads +webdav xinetd cvs subversion test"
95
96 # Common to both DEPEND and RDEPEND
97 CDEPEND="
98 dev-libs/openssl
99 sys-libs/zlib
100 pcre? ( dev-libs/libpcre )
101 perl? ( dev-lang/perl[-build] )
102 tk? ( dev-lang/tk )
103 curl? (
104 net-misc/curl
105 webdav? ( dev-libs/expat )
106 )
107 emacs? ( virtual/emacs )"
108
109 RDEPEND="${CDEPEND}
110 gpg? ( app-crypt/gnupg )
111 perl? ( dev-perl/Error
112 dev-perl/Net-SMTP-SSL
113 dev-perl/Authen-SASL
114 cgi? ( virtual/perl-CGI app-text/highlight )
115 cvs? ( >=dev-vcs/cvsps-2.1 dev-perl/DBI dev-perl/DBD-SQLite )
116 subversion? ( dev-vcs/subversion[-dso,perl] dev-perl/libwww-perl dev-perl/TermReadKey )
117 )
118 python? ( gtk?
119 (
120 >=dev-python/pygtk-2.8
121 dev-python/pygtksourceview:2
122 ) )"
123
124 # This is how info docs are created with Git:
125 # .txt/asciidoc --(asciidoc)---------> .xml/docbook
126 # .xml/docbook --(docbook2texi.pl)--> .texi
127 # .texi --(makeinfo)---------> .info
128 DEPEND="${CDEPEND}
129 app-arch/cpio
130 doc? (
131 app-text/asciidoc
132 app-text/docbook2X
133 sys-apps/texinfo
134 )
135 test? (
136 app-crypt/gnupg
137 )"
138
139 # Live ebuild builds man pages and HTML docs, additionally
140 if [[ ${PV} == *9999 ]]; then
141 DEPEND="${DEPEND}
142 app-text/asciidoc
143 app-text/xmlto"
144 fi
145
146 SITEFILE=50${PN}-gentoo.el
147 S="${WORKDIR}/${MY_P}"
148
149 REQUIRED_USE="
150 cgi? ( perl )
151 cvs? ( perl )
152 subversion? ( perl )
153 webdav? ( curl )
154 "
155
156 pkg_setup() {
157 if use subversion && has_version dev-vcs/subversion && built_with_use --missing false dev-vcs/subversion dso ; then
158 ewarn "Per Gentoo bugs #223747, #238586, when subversion is built"
159 ewarn "with USE=dso, there may be weird crashes in git-svn. You"
160 ewarn "have been warned."
161 fi
162 if use python ; then
163 python_set_active_version 2
164 python_pkg_setup
165 fi
166 }
167
168 # This is needed because for some obscure reasons future calls to make don't
169 # pick up these exports if we export them in src_unpack()
170 exportmakeopts() {
171 local myopts
172
173 if use blksha1 ; then
174 myopts="${myopts} BLK_SHA1=YesPlease"
175 elif use ppcsha1 ; then
176 myopts="${myopts} PPC_SHA1=YesPlease"
177 fi
178
179 if use curl ; then
180 use webdav || myopts="${myopts} NO_EXPAT=YesPlease"
181 else
182 myopts="${myopts} NO_CURL=YesPlease"
183 fi
184
185 # broken assumptions, because of broken build system ...
186 myopts="${myopts} NO_FINK=YesPlease NO_DARWIN_PORTS=YesPlease"
187 myopts="${myopts} INSTALL=install TAR=tar"
188 myopts="${myopts} SHELL_PATH=${EPREFIX}/bin/sh"
189 myopts="${myopts} SANE_TOOL_PATH="
190 myopts="${myopts} OLD_ICONV="
191 myopts="${myopts} NO_EXTERNAL_GREP="
192
193 # can't define this to null, since the entire makefile depends on it
194 sed -i -e '/\/usr\/local/s/BASIC_/#BASIC_/' Makefile
195
196 use iconv \
197 || myopts="${myopts} NO_ICONV=YesPlease"
198 use nls \
199 || myopts="${myopts} NO_GETTEXT=YesPlease"
200 use tk \
201 || myopts="${myopts} NO_TCLTK=YesPlease"
202 use pcre \
203 && myopts="${myopts} USE_LIBPCRE=yes"
204 use perl \
205 && myopts="${myopts} INSTALLDIRS=vendor" \
206 || myopts="${myopts} NO_PERL=YesPlease"
207 use python \
208 || myopts="${myopts} NO_PYTHON=YesPlease"
209 use subversion \
210 || myopts="${myopts} NO_SVN_TESTS=YesPlease"
211 use threads \
212 && myopts="${myopts} THREADED_DELTA_SEARCH=YesPlease"
213 use cvs \
214 || myopts="${myopts} NO_CVS=YesPlease"
215 # Disabled until ~m68k-mint can be keyworded again
216 # if [[ ${CHOST} == *-mint* ]] ; then
217 # myopts="${myopts} NO_MMAP=YesPlease"
218 # myopts="${myopts} NO_IPV6=YesPlease"
219 # myopts="${myopts} NO_STRLCPY=YesPlease"
220 # myopts="${myopts} NO_MEMMEM=YesPlease"
221 # myopts="${myopts} NO_MKDTEMP=YesPlease"
222 # myopts="${myopts} NO_MKSTEMPS=YesPlease"
223 # fi
224 if [[ ${CHOST} == ia64-*-hpux* ]]; then
225 myopts="${myopts} NO_NSEC=YesPlease"
226 fi
227 if [[ ${CHOST} == *-*-aix* ]]; then
228 myopts="${myopts} NO_FNMATCH_CASEFOLD=YesPlease"
229 fi
230
231 has_version '>=app-text/asciidoc-8.0' \
232 && myopts="${myopts} ASCIIDOC8=YesPlease"
233 myopts="${myopts} ASCIIDOC_NO_ROFF=YesPlease"
234
235 # Bug 290465:
236 # builtin-fetch-pack.c:816: error: 'struct stat' has no member named 'st_mtim'
237 [[ "${CHOST}" == *-uclibc* ]] && \
238 myopts="${myopts} NO_NSEC=YesPlease"
239
240 export MY_MAKEOPTS="${myopts}"
241 }
242
243 src_unpack() {
244 if [[ ${PV} != *9999 ]]; then
245 unpack ${MY_P}.tar.${SRC_URI_SUFFIX}
246 cd "${S}"
247 unpack ${PN}-manpages-${DOC_VER}.tar.${SRC_URI_SUFFIX}
248 use doc && \
249 cd "${S}"/Documentation && \
250 unpack ${PN}-htmldocs-${DOC_VER}.tar.${SRC_URI_SUFFIX}
251 cd "${S}"
252 else
253 git-2_src_unpack
254 cd "${S}"
255 #cp "${FILESDIR}"/GIT-VERSION-GEN .
256 fi
257
258 }
259
260 src_prepare() {
261 # bug #418431 - stated for upstream 1.7.13. Developed by Michael Schwern,
262 # funded as a bounty by the Gentoo Foundation.
263 epatch "${FILESDIR}"/git-1.7.12-git-svn-backport.patch
264
265 # bug #350330 - automagic CVS when we don't want it is bad.
266 epatch "${FILESDIR}"/git-1.7.12-optional-cvs.patch
267
268 sed -i \
269 -e 's:^\(CFLAGS =\).*$:\1 $(OPTCFLAGS) -Wall:' \
270 -e 's:^\(LDFLAGS =\).*$:\1 $(OPTLDFLAGS):' \
271 -e 's:^\(CC = \).*$:\1$(OPTCC):' \
272 -e 's:^\(AR = \).*$:\1$(OPTAR):' \
273 -e "s:\(PYTHON_PATH = \)\(.*\)$:\1${EPREFIX}\2:" \
274 -e "s:\(PERL_PATH = \)\(.*\)$:\1${EPREFIX}\2:" \
275 Makefile || die "sed failed"
276
277 # Never install the private copy of Error.pm (bug #296310)
278 sed -i \
279 -e '/private-Error.pm/s,^,#,' \
280 perl/Makefile.PL
281
282 # Fix docbook2texi command
283 sed -i 's/DOCBOOK2X_TEXI=docbook2x-texi/DOCBOOK2X_TEXI=docbook2texi.pl/' \
284 Documentation/Makefile || die "sed failed"
285 }
286
287 git_emake() {
288 # bug #326625: PERL_PATH, PERL_MM_OPT
289 # bug #320647: PYTHON_PATH
290 PYTHON_PATH=""
291 use python && PYTHON_PATH="$(PYTHON -a)"
292 emake ${MY_MAKEOPTS} \
293 DESTDIR="${D}" \
294 OPTCFLAGS="${CFLAGS}" \
295 OPTLDFLAGS="${LDFLAGS}" \
296 OPTCC="$(tc-getCC)" \
297 OPTAR="$(tc-getAR)" \
298 prefix="${EPREFIX}"/usr \
299 htmldir="${EPREFIX}"/usr/share/doc/${PF}/html \
300 sysconfdir="${EPREFIX}"/etc \
301 PYTHON_PATH="${PYTHON_PATH}" \
302 PERL_MM_OPT="" \
303 GIT_TEST_OPTS="--no-color" \
304 "$@"
305 # This is the fix for bug #326625, but it also causes breakage, see bug
306 # #352693.
307 # PERL_PATH="${EPREFIX}/usr/bin/env perl" \
308 }
309
310 src_configure() {
311 exportmakeopts
312 }
313
314 src_compile() {
315 if use perl ; then
316 git_emake perl/PM.stamp || die "emake perl/PM.stamp failed"
317 git_emake perl/perl.mak || die "emake perl/perl.mak failed"
318 fi
319 git_emake || die "emake failed"
320
321 if use emacs ; then
322 elisp-compile contrib/emacs/git{,-blame}.el \
323 || die "emacs modules failed"
324 fi
325
326 if use perl && use cgi ; then
327 git_emake \
328 gitweb/gitweb.cgi \
329 || die "emake gitweb/gitweb.cgi failed"
330 fi
331
332 if [[ ${CHOST} == *-darwin* ]]; then
333 cd "${S}"/contrib/credential/osxkeychain || die "cd credential/osxkeychain"
334 git_emake || die "email credential-osxkeychain"
335 fi
336
337 cd "${S}"/Documentation
338 if [[ ${PV} == *9999 ]] ; then
339 git_emake man \
340 || die "emake man failed"
341 if use doc ; then
342 git_emake info html \
343 || die "emake info html failed"
344 fi
345 else
346 if use doc ; then
347 git_emake info \
348 || die "emake info html failed"
349 fi
350 fi
351 }
352
353 src_install() {
354 git_emake \
355 install || \
356 die "make install failed"
357
358 if [[ ${CHOST} == *-darwin* ]]; then
359 dobin contrib/credential/osxkeychain/git-credential-osxkeychain
360 fi
361
362 # Depending on the tarball and manual rebuild of the documentation, the
363 # manpages may exist in either OR both of these directories.
364 find man?/*.[157] >/dev/null 2>&1 && doman man?/*.[157]
365 find Documentation/*.[157] >/dev/null 2>&1 && doman Documentation/*.[157]
366
367 dodoc README Documentation/{SubmittingPatches,CodingGuidelines}
368 use doc && dodir /usr/share/doc/${PF}/html
369 for d in / /howto/ /technical/ ; do
370 docinto ${d}
371 dodoc Documentation${d}*.txt
372 use doc && dohtml -p ${d} Documentation${d}*.html
373 done
374 docinto /
375 # Upstream does not ship this pre-built :-(
376 use doc && doinfo Documentation/{git,gitman}.info
377
378 newbashcomp contrib/completion/git-completion.bash ${PN}
379 newbashcomp contrib/completion/git-prompt.sh ${PN}-prompt
380
381 if use emacs ; then
382 elisp-install ${PN} contrib/emacs/git.{el,elc} || die
383 elisp-install ${PN} contrib/emacs/git-blame.{el,elc} || die
384 #elisp-install ${PN}/compat contrib/emacs/vc-git.{el,elc} || die
385 # don't add automatically to the load-path, so the sitefile
386 # can do a conditional loading
387 touch "${ED}${SITELISP}/${PN}/compat/.nosearch"
388 elisp-site-file-install "${FILESDIR}"/${SITEFILE} || die
389 fi
390
391 if use python && use gtk ; then
392 dobin "${S}"/contrib/gitview/gitview
393 python_convert_shebangs ${PYTHON_ABI} "${ED}"/usr/bin/gitview
394 dodoc "${S}"/contrib/gitview/gitview.txt
395 fi
396
397 #dobin contrib/fast-import/git-p4 # Moved upstream
398 #dodoc contrib/fast-import/git-p4.txt # Moved upstream
399 newbin contrib/fast-import/import-tars.perl import-tars
400 newbin contrib/git-resurrect.sh git-resurrect
401
402 dodir /usr/share/${PN}/contrib
403 # The following are excluded:
404 # completion - installed above
405 # emacs - installed above
406 # examples - these are stuff that is not used in Git anymore actually
407 # gitview - installed above
408 # p4import - excluded because fast-import has a better one
409 # patches - stuff the Git guys made to go upstream to other places
410 # svnimport - use git-svn
411 # thunderbird-patch-inline - fixes thunderbird
412 for i in \
413 blameview buildsystems ciabot continuous convert-objects fast-import \
414 hg-to-git hooks remotes2config.sh remotes2config.sh rerere-train.sh \
415 stats svn-fe vim workdir \
416 ; do
417 cp -rf \
418 "${S}"/contrib/${i} \
419 "${ED}"/usr/share/${PN}/contrib \
420 || die "Failed contrib ${i}"
421 done
422
423 if use perl && use cgi ; then
424 # We used to install in /usr/share/${PN}/gitweb
425 # but upstream installs in /usr/share/gitweb
426 # so we will install a symlink and use their location for compat with other
427 # distros
428 dosym /usr/share/gitweb /usr/share/${PN}/gitweb
429
430 # INSTALL discusses configuration issues, not just installation
431 docinto /
432 newdoc "${S}"/gitweb/INSTALL INSTALL.gitweb
433 newdoc "${S}"/gitweb/README README.gitweb
434
435 find "${ED}"/usr/lib64/perl5/ \
436 -name .packlist \
437 -exec rm \{\} \;
438 else
439 rm -rf "${ED}"/usr/share/gitweb
440 fi
441
442 if ! use subversion ; then
443 rm -f "${ED}"/usr/libexec/git-core/git-svn \
444 "${ED}"/usr/share/man/man1/git-svn.1*
445 fi
446
447 if use xinetd ; then
448 insinto /etc/xinetd.d
449 newins "${FILESDIR}"/git-daemon.xinetd git-daemon
450 fi
451
452 newinitd "${FILESDIR}"/git-daemon.initd git-daemon
453 newconfd "${FILESDIR}"/git-daemon.confd git-daemon
454
455 fixlocalpod
456 }
457
458 src_test() {
459 local disabled=""
460 local tests_cvs="t9200-git-cvsexportcommit.sh \
461 t9400-git-cvsserver-server.sh \
462 t9401-git-cvsserver-crlf.sh \
463 t9600-cvsimport.sh \
464 t9601-cvsimport-vendor-branch.sh \
465 t9602-cvsimport-branches-tags.sh \
466 t9603-cvsimport-patchsets.sh"
467 local tests_perl="t5502-quickfetch.sh \
468 t5512-ls-remote.sh \
469 t5520-pull.sh"
470 # Bug #225601 - t0004 is not suitable for root perm
471 # Bug #219839 - t1004 is not suitable for root perm
472 # t0001-init.sh - check for init notices EPERM* fails
473 local tests_nonroot="t0001-init.sh \
474 t0004-unwritable.sh \
475 t0070-fundamental.sh \
476 t1004-read-tree-m-u-wf.sh \
477 t3700-add.sh \
478 t7300-clean.sh"
479 # t9100 still fails with symlinks in SVN 1.7
480 local test_svn="t9100-git-svn-basic.sh"
481
482 # Unzip is used only for the testcase code, not by any normal parts of Git.
483 if ! has_version app-arch/unzip ; then
484 einfo "Disabling tar-tree tests"
485 disabled="${disabled} t5000-tar-tree.sh"
486 fi
487
488 cvs=0
489 use cvs && let cvs=$cvs+1
490 if [[ ${EUID} -eq 0 ]]; then
491 if [[ $cvs -eq 1 ]]; then
492 ewarn "Skipping CVS tests because CVS does not work as root!"
493 ewarn "You should retest with FEATURES=userpriv!"
494 disabled="${disabled} ${tests_cvs}"
495 fi
496 einfo "Skipping other tests that require being non-root"
497 disabled="${disabled} ${tests_nonroot}"
498 else
499 [[ $cvs -gt 0 ]] && \
500 has_version dev-vcs/cvs && \
501 let cvs=$cvs+1
502 [[ $cvs -gt 1 ]] && \
503 built_with_use dev-vcs/cvs server && \
504 let cvs=$cvs+1
505 if [[ $cvs -lt 3 ]]; then
506 einfo "Disabling CVS tests (needs dev-vcs/cvs[USE=server])"
507 disabled="${disabled} ${tests_cvs}"
508 fi
509 fi
510
511 if ! use perl ; then
512 einfo "Disabling tests that need Perl"
513 disabled="${disabled} ${tests_perl}"
514 fi
515
516 einfo "Disabling tests that fail with SVN 1.7"
517 disabled="${disabled} ${test_svn}"
518
519 # Reset all previously disabled tests
520 cd "${S}/t"
521 for i in *.sh.DISABLED ; do
522 [[ -f "${i}" ]] && mv -f "${i}" "${i%.DISABLED}"
523 done
524 einfo "Disabled tests:"
525 for i in ${disabled} ; do
526 [[ -f "${i}" ]] && mv -f "${i}" "${i}.DISABLED" && einfo "Disabled $i"
527 done
528
529 # Avoid the test system removing the results because we want them ourselves
530 sed -e '/^[[:space:]]*$(MAKE) clean/s,^,#,g' \
531 -i "${S}"/t/Makefile
532
533 # Clean old results first, must always run
534 cd "${S}/t"
535 nonfatal git_emake clean
536
537 # Now run the tests, keep going if we hit an error, and don't terminate on
538 # failure
539 cd "${S}"
540 einfo "Start test run"
541 #MAKEOPTS=-j1
542 nonfatal git_emake --keep-going test
543 rc=$?
544
545 # Display nice results, now print the results
546 cd "${S}/t"
547 nonfatal git_emake aggregate-results
548
549 # And bail if there was a problem
550 [ $rc -eq 0 ] || die "tests failed. Please file a bug."
551 }
552
553 showpkgdeps() {
554 local pkg=$1
555 shift
556 elog " $(printf "%-17s:" ${pkg}) ${@}"
557 }
558
559 pkg_postinst() {
560 use emacs && elisp-site-regen
561 use python && python_mod_optimize git_remote_helpers
562 einfo "Please read /usr/share/bash-completion/git for Git bash completion"
563 elog "These additional scripts need some dependencies:"
564 echo
565 showpkgdeps git-quiltimport "dev-util/quilt"
566 showpkgdeps git-instaweb \
567 "|| ( www-servers/lighttpd www-servers/apache )"
568 echo
569 }
570
571 pkg_postrm() {
572 use emacs && elisp-site-regen
573 use python && python_mod_cleanup git_remote_helpers
574 }